import { ARMOR_SETS, hasSet, safeAddEffect, E } from "./armors_index.js";

export function woodSet(player, eqIds) {
  const wood =
    hasSet(eqIds, ARMOR_SETS.oak) ||
    hasSet(eqIds, ARMOR_SETS.birch) ||
    hasSet(eqIds, ARMOR_SETS.cherry) ||
    hasSet(eqIds, ARMOR_SETS.spruce) ||
    hasSet(eqIds, ARMOR_SETS.jungle) ||
    hasSet(eqIds, ARMOR_SETS.mangrove) ||
    hasSet(eqIds, ARMOR_SETS.darkoak);

  if (wood) safeAddEffect(player, E.healthBoost, 0);
}
